<?php
if (isset($_POST['Erstzulassung']))
{
	$nt = explode(".", $_POST['Erstzulassung']);
	$Erstzulassung = $nt['2'] . "-" . $nt['1'] . "-" . $nt['0'];
	$HU = $_POST['HU_Jahr'] . "-" . $_POST['HU_Monat'] . "-01";
	$AU = $_POST['AU_Jahr'] . "-" . $_POST['AU_Monat'] . "-01";

	if (3 != sizeof($nt))
	{
		echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
		echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
	}
	else
	{
		if (4 != strlen($nt['2']))
		{
			echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
			echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
		}
		else
		{
			if (checkdate($nt['1'], $nt['0'], $nt['2']))
			{
				$temp = 1;
			}
		}
	}
}
if (isset($_POST['new']))
{
	$sql = "INSERT INTO " . PREFIX . "_KfZ (ID) VALUES (NULL);";
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
	}
	$sql = 'SELECT last_insert_id() AS last';
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$ID = $nt['last'];
}
else
{
	$ID = $_POST['ID'];
}
if ($temp)
{
	$sql = "UPDATE " . PREFIX . "_KfZ SET
				Kontakt_ID =				\"" . $_POST['Kontakt_ID'] . "\",
				Kennzeichen =				\"" . $_POST['Kennzeichen'] . "\",
				Fzg_Ident_Nr =				\"" . $_POST['Fzg_Ident_Nr'] . "\",
				HSN =						\"" . $_POST['HSN'] . "\",
				TSN =						\"" . $_POST['TSN'] . "\",
				Marke =						\"" . $_POST['Marke'] . "\",
				Modell =					\"" . $_POST['Modell'] . "\",
				Modellvariante =			\"" . $_POST['Modellvariante'] . "\",
				Kategorie =					\"" . $_POST['Kategorie'] . "\",
				Fahrzeugart =				\"" . $_POST['Fahrzeugart'] . "\",
				Kilometerlaufleistung =		\"" . $_POST['Kilometerlaufleistung'] . "\",
				Leistung =					\"" . $_POST['Leistung'] . "\",
				Getriebe =					\"" . $_POST['Getriebe'] . "\",
				Kraftstoffart =				\"" . $_POST['Kraftstoffart'] . "\",
				Biodiesel =					\"" . $_POST['Biodiesel'] . "\",
				Pflanzenoel =				\"" . $_POST['Pflanzenoel'] . "\",
				E10 =						\"" . $_POST['E10'] . "\",
				Hubraum =					\"" . $_POST['Hubraum'] . "\",
				Farbe =						\"" . $_POST['Farbe'] . "\",
				Herstellerfarbbezeichnung =	\"" . $_POST['Herstellerfarbbezeichnung'] . "\",
				Metallic =					\"" . $_POST['Metallic'] . "\",
				Baujahr =					\"" . $_POST['Baujahr'] . "\",
				Erstzulassung =				\"" . $Erstzulassung . "\",
				HU =						\"" . $HU . "\",
				AU =						\"" . $AU . "\",
				Fahrzeughalter =			\"" . $_POST['Fahrzeughalter'] . "\",
				Unfallfahrzeug =			\"" . $_POST['Unfallfahrzeug'] . "\",
				Preis =						\"" . $_POST['Preis'] . "\",
				MwSt =						\"" . $_POST['MwSt'] . "\",
				Gewerbe =					\"" . $_POST['Gewerbe'] . "\",
				Beschreibung =				\"" . addslashes($_POST['Beschreibung']) . "\",
				Klimatisierung =			\"" . $_POST['Klimatisierung'] . "\",
				Sitzplaetze =				\"" . $_POST['Sitzplaetze'] . "\",
				Tueren =					\"" . $_POST['Tueren'] . "\",
				Innenausstattung =			\"" . $_POST['Innenausstattung'] . "\",
				Innen_farbe =				\"" . $_POST['Innen_farbe'] . "\",
				Einparkhilfe =				\"" . $_POST['Einparkhilfe'] . "\",
				Navigationssystem =			\"" . $_POST['Navigationssystem'] . "\",
				Sitzheizung =				\"" . $_POST['Sitzheizung'] . "\",
				Tempomat =					\"" . $_POST['Tempomat'] . "\",
				Servolenkung =				\"" . $_POST['Servolenkung'] . "\",
				El_Fensterheber =			\"" . $_POST['El_Fensterheber'] . "\",
				Schiebedach =				\"" . $_POST['Schiebedach'] . "\",
				Standheizung =				\"" . $_POST['Standheizung'] . "\",
				Zentralverriegelung =		\"" . $_POST['Zentralverriegelung'] . "\",
				Bereifung =					\"" . addslashes($_POST['Bereifung']) . "\",
				Anhaengerkupplung =			\"" . $_POST['Anhaengerkupplung'] . "\",
				Leichtmetallfelgen =		\"" . $_POST['Leichtmetallfelgen'] . "\",
				Schadstoffklasse =			\"" . $_POST['Schadstoffklasse'] . "\",
				Umweltplakette =			\"" . $_POST['Umweltplakette'] . "\",
				CO2 =						\"" . $_POST['CO2'] . "\",
				Verbrauch_innen =			\"" . $_POST['Verbrauch_innen'] . "\",
				Verbrauch_aussen =			\"" . $_POST['Verbrauch_aussen'] . "\",
				Verbrauch_kombi =			\"" . $_POST['Verbrauch_kombi'] . "\",
				Airbags =					\"" . $_POST['Airbags'] . "\",
				AntiBS =					\"" . $_POST['AntiBS'] . "\",
				Wegfahrsperre =				\"" . $_POST['Wegfahrsperre'] . "\",
				ESP =						\"" . $_POST['ESP'] . "\",
				Allradantrieb =				\"" . $_POST['Allradantrieb'] . "\",
				Partikelfilter =			\"" . $_POST['Partikelfilter'] . "\",
				Xenon =						\"" . $_POST['Xenon'] . "\",
				Behindertengerecht =		\"" . $_POST['Behindertengerecht'] . "\",
				Scheckheftgepflegt =		\"" . $_POST['Scheckheftgepflegt'] . "\",
				Garantie =					\"" . $_POST['Garantie'] . "\",
				Taxi =						\"" . $_POST['Taxi'] . "\",
				Sonstiges =					\"" . addslashes($_POST['Sonstiges']) . "\",
				Homepage =					\"" . $_POST['Homepage'] . "\"
			WHERE
				ID =						\"" . $ID . "\";";
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
	}
}
$_POST['ID'] = $ID;
echo "<h2>Fahrzeug wurde gespeichert</h2>\n";

if ("save" == $_POST['formaction'])
{
	include __DIR__ . "/kfz_edit.php";
}